Create Lock
Create a lock
Creates a new lock.
Request
URI
POST
https://api.example.local/v3/locks
COPY
Request Body
App object that needs to be created
LockCreateRequestBody
of type(s)
application/json
Optional
Show optional properties
{
"title": "string",
"detail": "string"
}
{
"title": "string",
"detail": "string",
"relationships": {
"app": {
"data": {
"guid": "string"
}
}
},
"metadata": {
"labels": {
"labels": "string"
},
"annotations": {
"annotations": "string"
}
}
}
Responses
201
Successfully created lock
Returns
Lock
of type(s)
application/json
This response body class contains all of the following:
BaseSchema
{
"guid": "string",
"created_at": "string",
"updated_at": "string",
"title": "string",
"detail": "string",
"relationships": {},
"metadata": {
"labels": {
"labels": "string"
},
"annotations": {
"annotations": "string"
}
},
"links": {
"self": {
"href": "string",
"method": "string"
},
"app": {
"href": "string",
"method": "string"
}
}
}
400
Bad Request
Returns
BadRequest
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
401
Unauthorized
Returns
Unauthorized
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
403
Forbidden
Returns
Forbidden
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
409
Conflict
Returns
Conflict
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
422
Unprocessable Entity
Returns
Errors
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
500
Internal Server Error
Returns
500
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
503
Service Unavailable
Returns
ServiceUnavailable
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
Code Samples
COPY
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"title":"string","detail":"string"}' https://{api_host}/v3/locks